WordPress.org

Make WordPress Core

Ticket #11464: 11464.9.diff

File 11464.9.diff, 1.9 KB (added by ryan, 4 years ago)

Future proof translations

  • wp-admin/includes/update-core.php

     
    225225        $mysql_compat  = version_compare( $mysql_version, '4.1.2', '>=' ) || file_exists( WP_CONTENT_DIR . '/db.php' ); 
    226226 
    227227        if ( !$mysql_compat && !$php_compat ) 
    228                 return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress requires PHP version 4.3 or higher and MySQL version 4.1.2 or higher. You are running PHP version %1$s and MySQL version %2$s.'), $php_version, $mysql_version ) ); 
     228                return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress requires PHP version %1$s or higher and MySQL version %2$s or higher. You are running PHP version %3$s and MySQL version %4$s.'), '4.3', '4.1.2', $php_version, $mysql_version ) ); 
    229229        elseif ( !$php_compat ) 
    230                 return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress requires PHP version 4.3 or higher. You are running version %s.'), $php_version ) ); 
     230                return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress requires PHP version %1$s or higher. You are running version %2$s.'), '4.3', $php_version ) ); 
    231231        elseif ( !$mysql_compat ) 
    232                 return new WP_Error( 'mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress requires MySQL version 4.1.2 or higher. You are running version %s.'), $mysql_version ) ); 
     232                return new WP_Error( 'mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress requires MySQL version %1$s or higher. You are running version %2$s.'), '4.1.2', $mysql_version ) ); 
    233233 
    234234        // Sanity check the unzipped distribution 
    235235        apply_filters('update_feedback', __('Verifying the unpacked files'));